<?php
defined('_IN_JOHNCMS') or die('Error: restricted access');

  if ($user_id != $id)
  {
      echo functions::display_error('Нельзя добавить запись в чужой Блог!','<a href="./">Назад</a>');
      require_once ('../incfiles/end.php');
      exit;
  }
  if($ban[1] or $ban['16'])
  {
      echo '<div class="phdr"><a href="./">Блоги</a></div>';
      echo functions::display_error('Вы забанены и не можете добавлять записи', '<a href="./">Назад</a>');
      require_once ('../incfiles/end.php');
      exit; 
  }
$old = ($rights > 0) ? 10 : 60;
if ($datauser['lastpost'] > (time() - $old))
{
  echo '<div class="phdr"><a href="./">Блоги</a> | Комментарий</div>';
  echo '<div class="menu">Вы не можете так часто писать. Порог ' . $old . ' секунд.<br/><a href="?act=showdn&amp;id='.$id.'">Назад</a></div>';
  echo '<div class="phdr">&nbsp;</div>';
  require_once ("../incfiles/end.php");
  exit;
}
  $save = $_GET['save'];
  if($save)
  {
    $name22 = trim($_POST['name']);
    $text = trim($_POST['text']);
    if(!$name22)
      $err .= 'Вы не ввели название записи!<br/>';
    else
    {
      if(mb_strlen($name22) > 30)
        $err .= 'Длина названия превышает 30 символов!<br/>';  
    }
    if(!$text)
      $err .= 'Вы не ввели текст записи!<br/>';
    else
    {
      if(mb_strlen($text) > 6000)
        $err .= 'Длина текста превышает 6000 символов!<br/>';
    }  
      
  }
  if($save and !$err)
  {
     $req = mysql_query("SELECT * FROM `dnevniki` WHERE `userid` = '".$user_id."' AND `dnid` = 'dir' LIMIT 1");
     if (mysql_num_rows($req))
       mysql_query("UPDATE `dnevniki` SET `vr` = '".time()."' WHERE `userid` = '".$user_id."' AND `dnid` = 'dir' LIMIT 1");
     else
       mysql_query("INSERT INTO `dnevniki` SET `vr` = '".time()."',`username` = '".$datauser['name']."', `dnid` = 'dir', `userid` = '".$user_id."'");
     
     mysql_query("INSERT INTO `dnevniki` SET
      `userid` = '" . $user_id . "',
      `username` = '" . $datauser['name'] . "',
      `text` = '" . mysql_real_escape_string($text) . "',
      `zag` = '" . mysql_real_escape_string($name22) . "',
      `dnid` = 'txt',
      `vr` = '".time()."'");
     $usid = mysql_insert_id();
       
      if (empty($datauser['komm']))
        $fpst = 1;
      else
       $fpst = $datauser['komm'] + 1;
       mysql_query("UPDATE `users` SET
       `komm` = '" . $fpst . "',
       `lastpost` = '" . time() . "'
       WHERE `id` = '" . $user_id . "';");  
     mysql_query("INSERT INTO `dnevniki_com_rdm` SET `comid` = '0', `recordid` = '".$usid."', `userid` = '0', `time` = '0';");
      
     echo '<div class="phdr"><a href="./">Блоги</a> | Добавление записи</div>';
     echo '<div class="menu">';
     echo 'Запись добавлена!<br/>';
     echo '<a href="?act=view&amp;id='.$usid.'">Продолжить</a>';
     echo '</div>';
     echo '<div class="phdr">&nbsp;</div>';
     echo '<div class="topmenu"><a href="?act=showdn&amp;id='.$id.'"><img src="./img/folder_user.png" /> Мой Блог</a></div>';
     echo '<div class="topmenu"><a href="./"><img src="./img/folder.png" /> Блоги</a></div>';
     require_once ('../incfiles/end.php');
     exit;
  }
  echo '<div class="phdr"><a href="./">Блог</a> | Добавление записи</div>';
  if($err)
    echo '<div class="rmenu">'.$err.'</div>';
  $req = mysql_query("SELECT * FROM `dnevniki` WHERE `userid` = '".$user_id."' AND `dnid` = 'dir' LIMIT 1");
  if (!mysql_num_rows($req))
    echo '<div class="topmenu">Ваш Блог будет создан при добавленни этой записи!</div>';
  echo '<form name="mess" action="?act=wr&amp;save=save&amp;id='.$id.'" method="post">';
  echo '<div class="gmenu">Заголовок (не более 30 символов):<br /><input type="text" name="name" class="form-control" value="'.htmlentities($name22, ENT_QUOTES, 'UTF-8').'"/></div>';
  echo '<div class="menu">Текст (разрешены смайлы и bb-коды, не более 6000 символов):<br />'.bbcode::auto_bb('mess', 'text').'<textarea class="form-control" rows="' . $set_user['field_h'] . '" name="text">'.htmlentities($text, ENT_QUOTES, 'UTF-8').'</textarea><br/>';
  echo '<input type="submit" class="btn btn-default" style="width:100%;" name="submit" value="Отправить"/></div></form>';
  echo '<div class="phdr">&nbsp;</div>';
 ?>
